import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRCameraAVStreamManagementClusterAudioStreamStruct extends _NSObject {
    static alloc(): _MTRCameraAVStreamManagementClusterAudioStreamStruct;
    static new(): _MTRCameraAVStreamManagementClusterAudioStreamStruct;
    init(): _MTRCameraAVStreamManagementClusterAudioStreamStruct;
    audioStreamID(): _NSNumber;
    setAudioStreamID$(value: _NSNumber): void;
    streamUsage(): _NSNumber;
    setStreamUsage$(value: _NSNumber): void;
    audioCodec(): _NSNumber;
    setAudioCodec$(value: _NSNumber): void;
    channelCount(): _NSNumber;
    setChannelCount$(value: _NSNumber): void;
    sampleRate(): _NSNumber;
    setSampleRate$(value: _NSNumber): void;
    bitRate(): _NSNumber;
    setBitRate$(value: _NSNumber): void;
    bitDepth(): _NSNumber;
    setBitDepth$(value: _NSNumber): void;
    referenceCount(): _NSNumber;
    setReferenceCount$(value: _NSNumber): void;
}
export interface _MTRCameraAVStreamManagementClusterAudioStreamStruct extends _NSCopying {
}
